<?php
include_once '../sys/inc/start.php';
$doc = new document();
$doc -> title = 'Комментарии к новости';
$doc -> ret ('К новостям','./');


$id = (int)@$_GET['id'];

$q = mysql_query("SELECT * FROM `news` WHERE `id` = '$id' LIMIT 1");

if (!mysql_num_rows($q))$doc -> access_denied('Новость не найдена или удалена');

$news = mysql_fetch_assoc($q);

$ank = new user($news['id_user']);








if (isset($_POST['send']) && isset($_POST['comment']) && $user->group)
{
$text=text::input_text($_POST['comment']);


if ($mat = is_valid::mat($text))$doc -> err('Обнаружен мат: '.$mat);
elseif ($text)
{
$user->balls ++;
mysql_query("INSERT INTO `news_comments` (`id_news`, `id_user`, `time`, `text`) VALUES ('$news[id]', '$user->id', '".TIME."', '".my_esc($text)."')");
header('Refresh: 1; url=?id='.$id.'&'.passgen());
$doc->ret('Вернуться','?id='.$id.'&amp;'.passgen());
$doc->msg('Комментарий успешно отправлен');
exit;
}
else
{
$doc->err('Комментарий пуст');
}

}

if ($user->group){
$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?id='.$id.'&amp;'.passgen());
$elements=array();
$elements[]=array('type'=>'textarea', 'title'=>'Комментарий', 'br'=>1, 'info'=>array('name'=>'comment'));
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'send', 'value'=>'Отправить')); // кнопка
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'refresh', 'value'=>'Обновить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
}








$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `news_comments` WHERE `id_news` = '$news[id]'"), 0); // количество сообщений
$pages->this_page(); // получаем текущую страницу


$q = mysql_query("SELECT * FROM `news_comments` WHERE `id_news` = '$news[id]' ORDER BY `id` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($message=mysql_fetch_assoc($q)) {
$act = array();

if ($user->group >= 2)
$act[]=array('delete',"comment.delete.php?id=$message[id]&amp;return=".URL); // удаление


$ank=new user($message['id_user']);
$posts[]=array('title'=>$ank->show().' ('.vremja($message['time']).')','icon'=>$ank->icon(),'post'=>output_text($message['text']), 'act'=>$act);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Комментарии отсутствуют');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing('?id='.$id.'&amp;'); // вывод страниц





?>
